<?php

namespace App\Services\Equipment;

use App\Entities\Equipment\DefenceEntity;
use App\Models\Equipment\DefenceModel;
use CodeIgniter\HTTP\IncomingRequest;
use App\Services\Equipment\EquipmentService;

class DefenceService extends EquipmentService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Defence');
    }
    public function getModelClass(): DefenceModel
    {
        return new DefenceModel();
    }
    public function getEntityClass(): DefenceEntity
    {
        return new DefenceEntity();
    }
    public function getFields(): array
    {
        return [
            "type",
            "ip",
            "accountid",
            "domain",
            "status",
            "description",
        ];
    }
    public function getFilterFields(): array
    {
        return ["type", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ["type", 'status'];
    }
}
